Index: src/Shapes/unittests/Makefile.am
===================================================================
--- src/Shapes/unittests/Makefile.am	(revision 6acc2f3a1b46ec7dee426fa502fd350592a2d3b5)
+++ src/Shapes/unittests/Makefile.am	(revision 5a8d6181d9ecac92ad0fd935c5788630721f55b0)
@@ -5,13 +5,16 @@
 SHAPETESTSSOURCES = \
 	../Shapes/unittests/BaseShapesUnitTest.cpp \
-	../Shapes/unittests/ShapeOpsUnitTest.cpp
+	../Shapes/unittests/ShapeOpsUnitTest.cpp \
+	../Shapes/unittests/Shape_HomogeneousPointsUnitTest.cpp
 
 SHAPETESTSHEADERS= \
 	../Shapes/unittests/BaseShapesUnitTest.hpp \
-	../Shapes/unittests/ShapeOpsUnitTest.hpp
+	../Shapes/unittests/ShapeOpsUnitTest.hpp \
+	../Shapes/unittests/Shape_HomogeneousPointsUnitTest.cpp
 
 SHAPETESTS = \
   BaseShapesUnitTest \
-  ShapeOpsUnitTest
+  ShapeOpsUnitTest \
+  Shape_HomogeneousPointsUnitTest
   
 TESTS += $(SHAPETESTS)
@@ -41,4 +44,12 @@
 ShapeOpsUnitTest_LDADD = $(SHAPELIBS)
 
+Shape_HomogeneousPointsUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+	../Shapes/unittests/Shape_HomogeneousPointsUnitTest.cpp \
+	../Shapes/unittests/Shape_HomogeneousPointsUnitTest.hpp
+nodist_Shape_HomogeneousPointsUnitTest_SOURCES = \
+	../Helpers/defs.hpp \
+	../Helpers/defs.cpp
+Shape_HomogeneousPointsUnitTest_LDADD = $(SHAPELIBS)
+
 
 #AUTOMAKE_OPTIONS = parallel-tests
Index: src/Shapes/unittests/Shape_HomogeneousPointsUnitTest.cpp
===================================================================
--- src/Shapes/unittests/Shape_HomogeneousPointsUnitTest.cpp	(revision 5a8d6181d9ecac92ad0fd935c5788630721f55b0)
+++ src/Shapes/unittests/Shape_HomogeneousPointsUnitTest.cpp	(revision 5a8d6181d9ecac92ad0fd935c5788630721f55b0)
@@ -0,0 +1,64 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * Shape_HomogeneousPointsUnitTest.cpp
+ *
+ *  Created on: Jun 19, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+
+#include <cmath>
+#include <limits>
+
+#ifdef HAVE_TESTRUNNER
+#include "UnitTestMain.hpp"
+#endif /*HAVE_TESTRUNNER*/
+
+#include "CodePatterns/Assert.hpp"
+
+#include "Shapes/BaseShapes.hpp"
+#include "Shapes/Shape.hpp"
+
+#include "Shape_HomogeneousPointsUnitTest.hpp"
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( Shape_HomogeneousPointsTest );
+
+void Shape_HomogeneousPointsTest::setUp()
+{
+  // failing asserts should be thrown
+  ASSERT_DO(Assert::Throw);
+}
+
+void Shape_HomogeneousPointsTest::tearDown()
+{}
+
+/** Unit test for points on Shape's surface.
+ *
+ */
+void Shape_HomogeneousPointsTest::surfaceTest()
+{
+	CPPUNIT_ASSERT(true);
+}
+
+/** Unit test for points in Shape's volume.
+ *
+ */
+void Shape_HomogeneousPointsTest::volumeTest()
+{
+	CPPUNIT_ASSERT(true);
+}
Index: src/Shapes/unittests/Shape_HomogeneousPointsUnitTest.hpp
===================================================================
--- src/Shapes/unittests/Shape_HomogeneousPointsUnitTest.hpp	(revision 5a8d6181d9ecac92ad0fd935c5788630721f55b0)
+++ src/Shapes/unittests/Shape_HomogeneousPointsUnitTest.hpp	(revision 5a8d6181d9ecac92ad0fd935c5788630721f55b0)
@@ -0,0 +1,34 @@
+/*
+ * Shape_HomogeneousPointsUnitTest.hpp
+ *
+ *  Created on: Jun 19, 2010
+ *      Author: heber
+ */
+
+#ifndef SHAPE_HOMOGENEOUSPOINTSUNITTEST_HPP_
+#define SHAPE_HOMOGENEOUSPOINTSUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include <cppunit/extensions/HelperMacros.h>
+
+class Shape_HomogeneousPointsTest : public CppUnit::TestFixture
+{
+  CPPUNIT_TEST_SUITE( Shape_HomogeneousPointsTest) ;
+  CPPUNIT_TEST ( surfaceTest );
+  CPPUNIT_TEST ( volumeTest );
+  CPPUNIT_TEST_SUITE_END();
+
+public:
+  void setUp();
+  void tearDown();
+
+  void surfaceTest();
+  void volumeTest();
+};
+
+#endif /* SHAPE_HOMOGENEOUSPOINTSUNITTEST_HPP_ */
